package admin

import "server/dao"

type DeviceGenreService struct{}

func (dgs *DeviceGenreService) QueryAllDeviceGenres() ([]dao.DeviceGenre, error) {
	return dao.QueryAllDeviceGenres()
}

func (dgs *DeviceGenreService) CreateDeviceGenre(genre dao.DeviceGenre) error {
	return genre.CreateDeviceGenre()
}

func (dgs *DeviceGenreService) UpdateDeviceGenre(genre dao.DeviceGenre) error {
	return genre.UpdateDeviceGenre()
}

func (dgs *DeviceGenreService) DeleteDeviceGenre(id int) error {
	return dao.DeleteDeviceGenre(id)
}
